<?php
  header('Content-type: text/html; charset=utf-8', true);
  header('Cache-control: no-cache', true);
  header('Pragma: no-cache');

  include_once '../includes/globals.php';
  include_once '../includes/aibridge.class.php';
  
  $diagnosisLog = AIBridge::getDiagnosisLog();
  
  $xml = new DomDocument($diagnosisLog);
  $xpath = xpath_new_context($xml->document_element());
  $diagnosisLogRecords = @xpath_eval($xpath, '/diagnosisLogRecord');
  
  outputViewHeader();
  echo '<script type="text/javascript" src="js/diagnosisLog.js"></script>';
  echo '</head>';
  echo ('<body onload="init(' . ((DEBUG_MODE === true) ? 'true' : 'false') . ');">');
  echo '<table class="log" id="diagnosisLog">';
  
  if (count($diagnosisLogRecords->nodeset) <= 0)
  {
    echo '<tr class="message">';
    echo ('<td>' . translate('MSG_DIAGNOSIS_LOG') . ' ' . translate('MSG_IS_EMPTY') . '</td>');
    echo '</tr>';
  }
  else
  {
    echo '<thead>';
    echo '<tr>';
    echo '<th class="icon"></th>';
    echo ('<th class="test">' . translate('MSG_DEVICE') . ', ' . translate('MSG_TEST') . '</th>');
    echo ('<th class="number">' . translate('MSG_NUMBER_OF_TIMES_DIAGNOSED') . '</th>');
    echo ('<th class="count">' . translate('MSG_FAILED') . ' ' . translate('MSG_COUNT') . '</th>');
    echo ('<th class="time">' . translate('MSG_DIAGNOSIS_TIME') . '</th>');
    echo '</tr>';
    echo '</thead>';
    echo '<tbody>';
    foreach ($diagnosisLogRecords->nodeset as $record)
    {
      $test = $record->get_attribute('diagnosisCaption');
      $passedCount = $record->get_attribute('passedCount');
      $failedCount = $record->get_attribute('failedCount');
      $numberOfTests = ($passedCount + $failedCount);
      $time = $record->get_attribute('testTime');
      $icon = ($failedCount > 0) ? '../images/status_failed.gif' : '../images/status_passed.gif';
      echo '<tr>';
      echo ('<td class="icon"><img src="' . $icon . '" /></td>');
      echo ('<td class="test">' . $test . '</td>');
      echo ('<td class="number">' . $numberOfTests . '</td>');
      echo ('<td class="count">' . $failedCount . '</td>');
      echo ('<td class="time">' . $time . '</td>');
      echo '</tr>';
    }
    echo '</tbody>';
  }
  
  echo '</table>';
  outputViewFooter();
  //*/
?>
